package com.cultural.heritage.model.dto.cart;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "购物车商品项支付请求体", requiredProperties = {"id", "quantity"})
public class CartPayRequest {

    /**
     * 购物车id
     */
    @Schema(description = "购物车id(id > 0)", example = "20")
    private Long id;

    /**
     * 数量
     */
    @Schema(description = "商品数量(quantity > 0)", example = "3")
    private Integer quantity;


    private static final long serialVersionUID = 1L;
}
